Bug 124407 - Missing libncurses.so.4 library
Missing libncurses.so.4 library
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ncurses4 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Depends On:
  Show dependency treegraph
Reported: 2004-05-26 07:56 EDT by Eric LAGALISSE
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-28 13:14:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric LAGALISSE 2004-05-26 07:56:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I'm trying to install a software that requiere package 
libncurses.so.4 but unfortunatly i cannot find any "ncurses4...." 
package available for this release of Redhat.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install a product that need libncurses.so.4

Additional info:
Comment 1 Robert Scheck 2004-05-28 02:29:53 EDT
Which Red Hat package from RHEL3 needs ncurses4 (libncurses.so.4)?
I still can't find any RHEL3 supported package in that needs 
Comment 2 Eric LAGALISSE 2004-05-28 02:34:11 EDT
I'm installing a third party software named "Interpel" used to 
transfert data from MVS to Linux. When i install this software it 
need this package.
Here is the log :

[root@clos1150 interpel]# more /etc/redhat-release
Red Hat Enterprise Linux ES release 3 (Taroon)
[root@clos1150 interpel]# ./pelsetup
/transfert/interpel/bin/pelsetup: error while loading shared 
libraries: libncurses.so.4: cannot open shared object file: No such 
file or directory
Comment 3 Robert Scheck 2004-05-28 02:57:11 EDT
IMHO third party products aren't suported, but you could try
to rebuild http://ftp.redhat.com/pub/redhat/linux/9/en/os/i386/SRPMS/ncurses4-5.0-11.src.rpm
(rpmbuild --rebuild ncurses4-5.0-11.src.rpm).
Comment 4 Eric LAGALISSE 2004-05-28 03:10:16 EDT
I understand but that mean there's no backward compatibility for this 
library provided under RHEL3 ?
Thanks i'll try to rebuild it.
Comment 5 Eric LAGALISSE 2004-05-28 03:33:04 EDT
Rebuild successfull. Third party application run fine.
But just for my information i would like to know if backward 
compatibility for this library will or will not be provided. If 
someone can answer...
Comment 6 Robert Scheck 2004-05-28 03:37:00 EDT
Well, theoretically there should backward compatibility be - especially
at supported systems - at the other hand, Red Hat has then to give 
support to this applications, which costs money.

Adrian, do we get official backward compatibility for that issue or not 
(would be fine if)?
Comment 7 Eido Inoue 2004-05-28 13:14:58 EDT
The missing library is part of the ncurses4 compatibility library,
which is not included in RHEL3.

The decision to include a package in a particular distro is usually
done by filing a bug under the "distribution" component, as this
decides how our build process inherits and pulls in packages for a
particular release.

While I can definitely see the need for ncurses4 in RHEL 2.1, I
believe a decision was made for RHEL 3 to not include it, based on two
reasons: #1 none of the certified software needs/uses it, and #2 RHEL
3 and beyond is UTF-8 on the console, which ncurses4 does not handle,
and would require RHEL to run in a locale which would render all other
modern UTF-8 friendly ncurses apps inoperable.

Note You need to log in before you can comment on or make changes to this bug.